import { Repository } from '../../infrastructure/repositories/repository';
import { ConnectionSummary } from '../../domain/models/connections/ConnectionSummary.interface';
import { ConnectionResponse } from '../../domain/models/connections/ConnectionResponse.interface';
import { ConnectionDataBaseModel } from '../../domain/models/connections/ConnectionDataBaseModel.interface';
import { DriverList } from '../../domain/models/drivers/DriverList.interface';
import { PreviewDatafileResponse } from '../../domain/models/previewDatafile/PreviewDatafileResponse.interface';
export declare class ConnectionRepository extends Repository {
    constructor();
    getConnectionSummary(): Promise<ConnectionSummary>;
    deleteConnection(idConnectionSelected: String): Promise<ConnectionResponse>;
    validateConnection(idConnectionSelected: String, cnx_type: String): Promise<ConnectionResponse>;
    validateNewConnection(cnx_type: String, data: any): Promise<ConnectionResponse>;
    getConnection(idConnectionSelected: String, cnx_type: String): Promise<ConnectionDataBaseModel>;
    getConnectionList(): Promise<ConnectionDataBaseModel>;
    getConnectionDatabaseList(): Promise<ConnectionDataBaseModel>;
    getConnectionDatafileList(): Promise<ConnectionDataBaseModel>;
    getQueryStringParameters(): any;
    getDatabaseDriversList(): Promise<DriverList>;
    saveEditDatafileConnection(data: any, id: string): Promise<any>;
    saveEditDatabaseConnection(data: any, id: string): Promise<any>;
    saveNewDatafileConnection(data: any): Promise<any>;
    saveNewDatabaseConnection(data: any): Promise<any>;
    getPreviewDatafile(data: any): Promise<PreviewDatafileResponse>;
    getHeaderDataFile(data: any): Promise<any>;
}
